[librest] build: Make it possible to autogen without gtk-doc
- From: Damien Lespiau <dlespiau src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [librest] build: Make it possible to autogen without gtk-doc
- Date: Mon, 5 Sep 2011 11:27:05 +0000 (UTC)
commit b8eecfc131619a2c5752e1644f3df011b45ef4b4
Author: Damien Lespiau <damien lespiau intel com>
Date: Sat Sep 3 16:53:24 2011 +0100
build: Make it possible to autogen without gtk-doc
On Windows, I don't want to go through installing gtk-doc just to get some
DLLs compiled.
autogen.sh | 10 +++++++++-
configure.ac | 5 +++++
2 files changed, 14 insertions(+), 1 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index a591bfd..edf4db2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,11 @@
#!/bin/sh
-gtkdocize --flavour no-tmpl || exit 1
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No gtk-doc support ***"
+ echo "EXTRA_DIST =" > gtk-doc.make
+ echo "CLEANFILES =" >> gtk-doc.make
+else
+ gtkdocize --flavour no-tmpl || exit 1
+fi
+
ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i && ./configure $@
diff --git a/configure.ac b/configure.ac
index 2daba6a..129a495 100644
--- a/configure.ac
+++ b/configure.ac
@@ -59,7 +59,12 @@ AS_IF(
AC_MSG_RESULT([no])
)
+# gtkdocize greps for ^GTK_DOC_CHECK and parses it, so you need to have
+# it on it's own line.
+m4_ifdef([GTK_DOC_CHECK], [
GTK_DOC_CHECK([1.13], [--flavour no-tmpl])
+])
+
GOBJECT_INTROSPECTION_CHECK([0.6.7])
AC_PATH_PROG([GLIB_MKENUMS],[glib-mkenums])
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]